> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Toku Wallet Status

> Returns the caller Privy wallet link row, else Crossmint row in the same shape, else null.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-toku-wallet-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-toku-wallet-status:
    get:
      operationId: getTokuWalletStatus
      summary: Get Toku Wallet Status
      description: >-
        Returns the caller Privy wallet link row, else Crossmint row in the same
        shape, else null.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokuWalletStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTokuWalletStatusResponse:
      oneOf:
        - $ref: '#/components/schemas/GetTokuWalletStatusResponse1'
        - type: 'null'
    GetTokuWalletStatusResponse1:
      type: object
      properties:
        privyWalletID:
          type:
            - string
            - 'null'
        roleInOrgID:
          type:
            - string
            - 'null'
        walletID:
          type:
            - string
            - 'null'
        privyDID:
          type:
            - string
            - 'null'
        createdWithEmail:
          type:
            - string
            - 'null'
        createdAt:
          type:
            - string
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
